# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/shcompgen.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Perl/osnames.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Acme-PERLANCAR-Test-ScriptNameSameAsModuleName
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Test script name that is the same as a known module name
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-PERLANCAR-Test-ScriptNameSameAsModuleName

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following scripts:

=over

=item * the strict manpage

=item * the warnings manpage

=back

which have the same name as some known module names. This distribution is for
testing purposes only.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

